- `BILD EINFÜGEN`
- vom **MIT** (Massachusetts Institute of Technology) entwickelt
- ist eine sogenannte **IDE** (integrierte Entwicklungsumgebung, engl. integrated development environment)
- didaktische Weiterentwicklung der **Sprache Java**
- der [Download](https://processing.org/download/) ist für alle üblichen **Betriebssysteme** möglich (Windows, MacOS, Linux)
- auch in den **AppStores** von Android und iOS findest du die Processing-Applikation
-
-
- ## Aufbau des Programms
- folgt
-
- ## Erstes Programm
- folgt (Konsole)
-
-
- ## Was ist Java eigentlich?
- Entwicklung von Java
	- **1991**: Java geht auf die Sprache Oak zurück, die von James Gosling und anderen im Green-Projekt (leichtere Programmierung elektronischer Geräte) entwickelt wurde.
	- **1995**: Java wurde von der Firma Sun als neue, objekt-orientierte, einfache und plattformunabhängige Programmiersprache vorgestellt.
	- **1996**: Java wurde allgemein in Verbindung mit Web-Browsern und Internet- Anwendungen anerkannt. Der Name geht auf eine bei amerikanischen Programmierern populäre Bezeichnung für Kaffee zurück.
- Die Programmiersprache kann in verschiedenen Programmierumgebungen (sogenannten IDEs) angewandt werden.
	- **Beispiele**
		- Eclipse
		- Processing
		- IntellJ
-
-
- ## Einordnen der Programmiersprache
- Java gehört zu den höheren Programmiersprachen. Das heißt, sie ist als menschenähnliche (höhere) Programmiersprache zu verstehen. Sie trägt die Merkmale einer **imperativen** und **objektorientierten** Programmiersprache.
- #+BEGIN_NOTE
  **imperativ**: Folge von Anweisungen, die abgearbeitet wird
  #+END_NOTE
- #+BEGIN_NOTE
  **objektorientiert**: Zusammenspiel verschiedener Objekte, welche Eigenschaften und Fähigkeiten haben
  #+END_NOTE
- Eingeteilt werden Programmiersprachen nach folgenden
	- **Paradgimen**
		- imperativ
		- funktional
		- prädikativ
		- regelbasiert
		- objektorientiert
	- **Generation**
		- erste Generation: Maschinensprache
		- zweite Generation: Assemblersprachen
		- dritte Generation: höhere Programmiersprachen
		- vierte Generation: für Datenbankzugriffe
		- fünfte Generation: für Expertensystem
		- sechste Generation: grafische Beschreibung
-
- ## Weiteres Wissenswertes
- jeder Befehl wird mit einem `Semikolon` abgeschlossen
- Java `unterscheidet` zwischen Groß- und Kleinbuchstaben
- einige `Eigennamen` dürfen nicht verwendet werden
- Java unterscheidet Dateitypen (Zahlen, Wörter, Wahrheitswerte, …)
-
-
- ## Interpreter & Compiler
- Die sind zwei elementare Begriffe in der Programmentwicklung.
- #+BEGIN_NOTE
  Der **Interpreter** interpretiert den geschriebenen Code innerhalb der Programmierumgebung und macht ihn ausführbar. Dies ist in Processing mittels “Play-Buttons” umgesetzt.
  #+END_NOTE
- Doch ab und zu möchte man das geschriebene Programm auch ohne IDE ausführen. Dazu muss es compiliert werden, d.h. es wird aus dem geschriebenen Code ein ausführbares Programm generiert. Dies kannst du erzeugen, indem du auf DATEI -> EXPORTIEREN gehst.
- #+BEGIN_NOTE
  Ein **Compiler** erzeugt mit Hilfe der IDE ein ausführbares Programm, welches alleinstehend verwendet werden kann.
  #+END_NOTE
- Das Compilieren dauert logischerweise etwas länger. Daher hilft uns der Interpreter bei der Überprüfung, ob der bisherige Code unseren Erwartungen entspricht.