- #+BEGIN_PINNED
  **Aufgabe 1**
  Was wird im Fenster angezeigt, wenn die Methode `testen()` ausgeführt wird?
  #+END_PINNED
	- ```javascript
	  public class A {
	    private ShopFenster fenster;
	    public A() {
	      fenster = new ShopFenster();
	    }
	    public void anzeigen(String text) {
	      fenster.ausgeben(text);
	    }
	    public void ausgeben() {
	      anzeigen("A-Objekt");
	    }
	  }
	  public class B extends A {
	    public void ausgeben() {
	      anzeigen("B-Objekt");
	    }
	    public void testen() {
	      A a = new B();
	      a.ausgeben();
	    }
	  }
	  ```
- collapsed:: true
  #+BEGIN_PINNED
  **Aufgabe 2**
  Erweitere dein Beispiel zu den Konten:
  
  a) Es soll unmöglich sein, Objekte der Klasse Konto zu erstellen.
  
  b) Die Klasse Konto soll allgemein eine manipulierende Methode berechneJahresabschluss() anbieten.
  
  Konkret wird der Jahresabschluss wie folgt berechnet:
  Girokonto: Die Gebühr wird fällig (ist vom Kontostand abzuziehen).
  Sparkonto: Das Guthaben wird verzinst (ist zum Kontostand hinzu zu rechnen).
  
  d) Implementiere eine Kontenverwaltung, die alle Konten verwaltet.
  
  e) Die Kontoverwaltung soll weiterhin die Jahresabschluss-Berechnung für alle registrierten Konten vornehmen können.
  #+END_PINNED
	- ![oop_polymorphie_konten.png](../assets/oop_polymorphie_konten_1700773670594_0.png)
- #+BEGIN_PINNED
  **Aufgabe 3**
  a) Über welche Attribute und Methoden verfügt ein Objekt der Klasse Wecker?
  #+END_PINNED
	- ![oop_polymorphie_ubung_wecker.png](../assets/oop_polymorphie_ubung_wecker_1700773699691_0.png)
	-
- #+BEGIN_PINNED
  b) Kann ein Wecker einen Elektroantrieb haben? Begründe deine Entscheidung anhand des Diagramms!
  c) In welcher Klasse und durch welchen Datentyp wird die Beziehung „hat“ umgesetzt?
  d) Beschreibe ein Objekt vom Typ Wecker mit einem Elektroantrieb in einer Objektkarte durch geeignete Attributwerte!
  e) Die Batterie des Elektroweckers soll gewechselt werden. Wie lautet der Methodenaufruf?
  f) Es soll der Dienst „Antrieb stoppen“ angeboten werden. Wo sollen die Merkmale verankert werden?
  g) Analysiere die Codefragmente und verbessere diese gegebenenfalls:
  #+END_PINNED
  
  ```java
  public class Uhr extends Wecker {
    private String bezeichnung;
    private String firma;
    public Antrieb antrieb;
    private int[] uhrzeit = new Array[2];
  
    public Uhr(int gzeiger, int kzeiger) {
      uhrzeitStellen(gzeiger, kzeiger);
      antrieb = new Federantrieb("XY");
    }
    public void uhrzeitStellen(int g, int k) {
      uhrzeit[10] = g;
      uhrzeit[21] = k;
    }
  }
  
  public class Wecker 
  { private boolean alarm = false;
    private int[] alarmzeit = new int[2];
    private boolean wieder;
    public Wecker(int g, int z, String firma) {
  
      alarm = false;
      alarmzeit = {12, 0};
      wieder = false;
      super(g, k, firma);
    }
    ...
  }
  ```