### Lokale vs. Globale Variablen
- #+BEGIN_NOTE
  **Globale Variablen**
  Globale Variablen sind solche, die von jeder beliebigen Stelle im Programm gelesen als auch bearbeitet werden kann. Sie sollten auf Grund dieser Eigenschaft im Allgemeinen möglichst vermieden werden. So ist eine Stabilität des Programms (Ausversehen Änderung der Variable und damit fürs ganze Programm) und effektive Speichernutzung (globale Variablen besetzen dauerhaft begrenzten Arbeitsspeicher) gesichert.
  #+END_NOTE
  
  
  #+BEGIN_NOTE
  **Lokale Variablen**
  Lokale Variablen entsprechen der Idee der modularen Programmierung, d.h. dass man in jedem abgeschlossenen Teil des Programms sicher sein kann, dass kein Wert unerwünschterweise von außerhalb geändert werden kann. Dies erleichtert sehr die Fehlersuche und ist im übrigen unerlässlich, falls mehrere Teile eines größeren Programms von verschiedenen Personen geschrieben werden sollen.
  #+END_NOTE