- Hier folgen einige Übungsaufgabe, die verschieden Beziehungstypen beinhalten.
- ## Aufgabe Konten
  collapsed:: true
	- #+BEGIN_NOTE
	  **Aufgabe**
	  Erstelle eine Klasse Person mit den Attributen name und konten, sowie einem zugehörigen Konstruktor.
	  #+END_NOTE
	- #+BEGIN_NOTE
	  **Aufgabe**
	  Erweitere die Klasse um die Methoden getName(), setName(name), anlegenKonto(startbetrag) und ermittleGesamtguthaben().
	  #+END_NOTE
	- #+BEGIN_NOTE
	  **Aufgabe**
	  Erstelle eine Klasse Konto mit dem Attribut kontostand und einem zugehörigen Konstruktor.
	  #+END_NOTE
	- #+BEGIN_NOTE
	  **Aufgabe**
	  Erweitere die Klasse Konto um die Methoden getKontostand() und setKontostand(kontostand).
	  #+END_NOTE
	- #+BEGIN_NOTE
	  **Aufgabe**
	  Erstelle Beispieldaten und prüfe die Funktionalität deiner Implementation.
	  #+END_NOTE
- ## Erweiterung Konten
  collapsed:: true
	- #+BEGIN_NOTE
	  **Aufgabe**
	  Eine Person soll nun mehrere Konten besitzen können. Setze diese Forderung um.
	  #+END_NOTE
	- #+BEGIN_NOTE
	  **Aufgabe**
	  Ein Gesamtkontostand aller Konten soll mittels einer Methode realisiert werden. Welche Erweiterungen/Änderungen sind dafür in den jeweiligen Klassen nötig? Beschreibe.
	  #+END_NOTE
		- Lösung
		  ...
- ## Netz von Bällen
  collapsed:: true
	- #+BEGIN_NOTE
	  **Aufgabe**
	  Du sollst eine Menge Bälle (z.B. 15) animieren. Jedes mal, wenn zwei Bälle kollidieren, soll eine Verbindung (Link) zwischen den Bällen entstehen.
	  #+END_NOTE
	- #+BEGIN_NOTE
	  **Aufgabe**
	  Erweitere dein Programm anschließend so, dass 20 Bälle umherfliegen. Zusätzlich soll ein Array für die Links zwischen den Bällen erstellt werden. Jedoch sollte das Array flexibel sein (zu Beginn enthält es keine Links).
	  #+END_NOTE
	- #+BEGIN_TIP
	  **Tipp**
	  Wenn zu viele Bälle verbunden sind, ist es ratsam einen Reload auszulösen.
	  #+END_TIP
	- #+BEGIN_TIP
	  **Tipp**
	  Für eine Kollisionskontrolle schreibe in der Klasse Ball eine Methode `checkCollision(Ball[] balls)`, die den Array aller Bälle bekommt und das Ball-Objekt zurückgibt, mit dem Ball der kollidiert (oder null). Im Hauptprogramm rufst du die Methode für alle Bälle auf und erzeugst einen neuen Link, wenn ein Ball zurückgegeben wird.
	  #+END_TIP
	-
- ## Fußballmannschaft
  collapsed:: true
	- #+BEGIN_NOTE
	  **Aufgabe**
	  Eine Fußballmannschaft besteht aus vielen Spielern. Für eine Fußballmannschaft soll ermittelt werden können:
	  - Anzahl der Spieler
	  - das Durchschnittsalter der Spieler
	  - ein String mit allen Spielernamen; getrennt durch ein Komma
	  - das Gesamtgehalt für alle Spieler
	  
	  Setze dies objektorientiert um.
	  #+END_NOTE
- ## Kisten
  collapsed:: true
	- #+BEGIN_NOTE
	  **Aufgabe**
	  Schreibe die Klasse Kiste mit Eigenschaften x, y, breite und hoehe. Schreibe einen entsprechenden Konstruktor und die Methode zeichne(), die an der entsprechenden Stelle (x,y) ein Rechteck zeichnet.
	  
	  Erzeuge ein Array von 10 Objekten mit zufälliger Position und zufälligen Werten für Breite und Höhe. Rufe für alle Objekte die Methode zeichne() auf.
	  #+END_NOTE
-
-