## Zielstellung
- Es werden mittels einer globalen Variablen die Anzahl umherfliegender Bälle in einem Grafikfenster angegeben. Die Bälle fliegen dabei alle in unterschiedliche Richtungen. Treffen sich zwei Bälle, bilden sie eine Linie zwischen Ihnen.
-
- ### Didaktischer Hinweise
- Inhalte können verlinkt werden, Name der Seiten ist genau vorgegeben, dies macht jedoch den Graphen etwas unübersichtlicher
-
- ## Stufe 1
- Vorüberlegungen: die Lernenden führen ein Gedankenspiel, welche Elemente alles zu implementieren sind.
- Ausführung der imperative Implementation eines Balles.
- **Inhalte**:
	- PVector
	- Algorithmische Grundstrukturen
-
- ## Stufe 2
- Erstellen Klasse Ball mit entsprechenden Attributen.
- Sinnvollerweise ist vorher der Datentyp PVector zu thematisieren.
- Implementation eigener Methoden: Konstruktor (mit und ohne Parameter), render(), move()
- **Inhalte**:
	- PVector
	- Eigene Klassen
	- Eigene Methoden
-
- ## Stufe 3
- Herstellen einer 1:1.-Beziehung durch Verknüpfung zweier Bälle mittels einer Linie
- Erstellen vieler Bälle mit Hilfe eines Arrays
- **Inhalte**:
	- Beziehung von Objekten
	- Felder
-
- ## Stufe 4
- Herstellen einer Klasse Link, welche zwei Bälle beinhaltet und die grafische Verknüpfung umsetzt
- Herstellen einer n:m-Beziehung, da sich automatisiert "treffende Bälle" miteinander verknüpfen
	- Problemquelle: Was bedeutet "treffen" -> meist überschneiden
	- Volllaufen des Arrays, selbst bei großem Index
	- Optimierungsgedanke: sollte ein Link schon existieren, darf kein zweiter erstellt werden und
	  existiert Verknüpfung Ball1 -> Ball2 ist Ball2 -> Ball1 unnötig
	- Anspruchsvolle algorithmische Überlegung
- **Inhalte**:
	- Beziehung von Objekten