- Objekte sind greifbare Gegenstände oder Konstrukte unserer Gedankenwelt. Jene prägen sehr unser Denken. So können wir die Welt mit Hilfe von Objekten beschreiben. Diese haben bestimmte Eigenschaften und Fähigkeiten.
  Man hat - sehr erfolgreich - Möglichkeiten gefunden, Software so zu organisieren, dass sie große Ähnlichkeit zu Objekten unserer Welt aufweist. Die Vorteile dieser Programmierweise zeigen sich bei der Entwicklung komplexer Systeme.
- ![klasse_elefant_grafik.png](../assets/klasse_elefant_grafik_1700769189081_0.png)
- #+BEGIN_NOTE
  **Objekte** können Dinge (z.B. Fahrrad, Büro), Personen (z.B. Kunde, Mitarbeiter) oder Begriffe (z.B. Programmiersprache, Krankheit) sein.
  
  Der Zustand (state) eines Objektes umfasst die **Attribute** mit den zugehörigen **Attributwerten**.
  
  Das Verhalten (behavior) eines Objektes wird durch die Menge an **Methoden** (Operationen) beschrieben.
  
  Jedes Objekt besitzt eine Identität (identity), die es von allen anderen Objekten unterscheidet.
  #+END_NOTE
-
-
- ## KLASSE
- #+BEGIN_NOTE
  Eine **Klasse** ist ein abstraktes Konzept. Sie beschreibt Objekte, welche die gleichen Attribute und die gleichen Methoden aufweisen. Eine Klasse dient als "Bauanleitung" für eine bestimmte Art von Objekten.
  Eine Klasse ist **nicht** die Menge aller Objekte dieser Klasse.
  #+END_NOTE
-
- ## Instanz
- #+BEGIN_NOTE
  Als Instanz wird ein nach der Klasse konstruiertes Objekt bezeichnet.
  #+END_NOTE
-
- #+BEGIN_PINNED
  Erläutere das KOAM-Modell am Beispiel der Elefanten.
  #+END_PINNED
	- Lösung
	  ...
-
-
- ## Darstellung von Objektorientierung
- Die Darstellung bzw. Planung Objektorienter Programmierung geschieht mit Hilfe von [[UML]]-Karten.
- Diese ermöglichen, die Struktur auf verschiedene Programmiersprachen zu übertragen und bilden damit das Pondon zu Struktogrammen und Flussdiagrammen der imperativen Programmierung.