- [Wikipedia](https://de.wikipedia.org/wiki/Unified_Modeling_Language)
-
- ## UML-Karten
- UML ist eine Art der Notation für die Objektorientierte Modellierung. Sie beschreibt entweder die Klasse (Klassenkarte) oder entsprechende Instanzen (Objektkarte).
- ![klassenkarte.png](../assets/klassenkarte_1700769449085_0.png)
- #+BEGIN_CAUTION
  Manche Notationen sehen vor, dass die Objektkarte abgerundete Ecken erhält. Da herrscht in der Literatur jedoch keine Einigkeit.
  #+END_CAUTION
- #+BEGIN_NOTE
  **Modellierung**
  Erfassen und beschreiben der Anforderungen, die das zu entwickelnde Softwaresystem erfüllen soll. Es werden die Details ausgeblendet, die für den gewählten Kontext nicht relevant sind.. (Abstraktion).
  Das Modell wird in einer normierten Darstellungsform beschrieben z.B.: UML: Klassendiagramm, Sequenzdiagramm.
  #+END_NOTE
- collapsed:: true
  #+BEGIN_PINNED
  **Aufgabe**
  Begründe, warum das Erstellen von UML-Karten für die objektorientierte Modellung sinnvoll ist.
  #+END_PINNED
	- Lösung
	  ...
- #+BEGIN_PINNED
  **Aufgabe**
  Erstelle eine Klassenkarte zur Spielfigur Pacman. Nutze dafür eine geeignete Software.
  #+END_PINNED
  https://media.cnn.com/api/v1/images/stellar/prod/200518114838-05-pac-man-40.jpg?q=w_1110,c_fill/f_webp
-
-
-
- ## Kontrollfragen
- Wie ist eine UML-Klassenkarte aufgebaut? #card #uml
  collapsed:: true
	- Antwort: 1 Spalte, 3 Zeilen
	  1. Zeile: Klassenname
	  2. Zeile: Kennzeichnung aller Attribute mit entsprechendem Datentypen / private -
	  3. Zeile: Auflistung aller Methoden + des Konstruktors / public +
-